## snapd-glib 1.67

=== debian/changelog ===
snapd-glib (1.67-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch for snapdqt_global.h not being installed breaking builds
    of reverse dependencies like plasma-discover. (Closes: #1104844)

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 May 2025 09:22:58 +0200

snapd-glib (1.67-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 2001_install-docs-to-html-subfolder.patch. Use a different install
      target for doc files.
  * debian/control:
    + Drop from B-D: gtk-doc-tools, add gi-docgen instead.
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/rules:
    + Drop execute_before_dh_install: override. No need to move doc files
      around anymore.
  * debian/libsnapd-glib-2-1.symbols:
    + Update file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 20:51:31 +0200

snapd-glib (1.66-2) unstable; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. Fix filenames of generated
      .cmake files when building against Qt6. Thanks to Aurélien COUDERC for
      testing the Qt6 builds of snapd-glib.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Apr 2025 14:31:58 +0200

snapd-glib (1.66-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 08:17:58 +0100

snapd-glib (1.66-1~exp2) experimental; urgency=medium

  * debian/patches:
    + Update 1001_support-qt5+qt6-dual-builds.patch. CMake folder names required
      adjustments to be automatically found by CMake.
  * debian/libsnapd-qt{,6}-dev.install:
    + Adjust to path name changes of CMake configuration files.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 09:34:09 +0100

snapd-glib (1.66-1~exp1) experimental; urgency=medium

  * Upload to experimental.

  [ Scarlett Moore ]
  * New upstream release (1.66)
  * Bump standards version; no changes required.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1001_support-qt5+qt6-dual-builds.patch. Support dually building
      against Qt5 and Qt6.
  * debian/:
    + Dual build against Qt5 and Qt6 (introducing new Qt6-related bin:pkgs.
  * debian/control:
    + Drop from B-D: pkg-kde-tools. Not used anymore.
    + Add ${gir:Provides} to libsnapd-glib-dev.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 10 Mar 2025 08:37:54 +0100
