=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Robert Ancell <robert.ancell@canonical.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-pkgkde-symbolshelper,
               gi-docgen,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               meson,
               qtbase5-dev,
               qtdeclarative5-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               valac
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/snapcore/snapd-glib
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib

Package: libsnapd-glib-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: GLib snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.

Package: gir1.2-snapd-2
Section: introspection
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libsnapd-glib-2-1 (= ${binary:Version})
Description: Typelib file for libsnapd-glib1
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains introspection data.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib-2-1 (= ${binary:Version}),
         gir1.2-snapd-2 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libjson-glib-dev
Provides: ${gir:Provides},
Description: GLib snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

Package: libsnapd-qt6-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: Qt snapd library (Qt6 version
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt6 applications.

Package: libsnapd-qt-2-1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: Qt snapd library (Qt5 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt5 applications.

Package: qml6-module-snapd
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: snapd
Multi-Arch: same
Description: Snapd QML module (Qt6 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt6 applications to access snapd.

Package: qml-module-snapd
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Suggests: snapd
Multi-Arch: same
Description: Snapd QML module (Qt5 version)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt5 applications to access snapd.

Package: libsnapd-qt6-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt6-2-1 (= ${binary:Version}),
         qt6-base-dev,
Breaks: libsnapd-glib-dev (<< 1.46)
Replaces: libsnapd-glib-dev (<< 1.46)
Description: Qt snapd library (Qt6 development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
 .
 This package contains the development files.

Package: libsnapd-qt-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt-2-1 (= ${binary:Version}),
         qtbase5-dev,
Breaks: libsnapd-glib-dev (<< 1.46)
Replaces: libsnapd-glib-dev (<< 1.46)
Description: Qt snapd library (Qt5 development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
 .
 This package contains the development files.

Package: snapd-glib-tests
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib snapd library (installed tests)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.
