=== debian/changelog ===
snapd-glib (1.70-0ubuntu1) questing; urgency=medium

  * New upstream release (1.70)
  * d/patches: Drop no longer needed 1002_fix-public-include-not-installed.patch
  * d/libsnapd-glib-2-1.symbols: Update from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 06 Jun 2025 09:03:22 +0100

snapd-glib (1.67-2ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Do not perform dual Qt5/Qt6 builds. Only Qt6 is required in Ubuntu.
      + d/patches/series: Comment out 1001_support-qt5+qt6-dual-builds.patch
      + d/rules: debhelper overrides to perform dual build not required.
      + d/control, d/*.install: Renaming of packages to accommodate dual build
        not required. We can keep upstream intended soname etc.
    - Skip Qt6 build on i386. In Ubuntu Qt6 is not built on i386 yet.
      + d/rules: on i386 set meson_opts += -Dqt6=false -Dqml-bindings=false
      + d/control: exclude i386 for Qt6 build depends and binary packages.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jun 2025 09:17:33 +0100
