=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -15,10 +16,8 @@
                libjson-glib-dev,
                libsoup-3.0-dev,
                meson,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qt6-base-dev,
-               qt6-declarative-dev,
+               qt6-base-dev [!i386],
+               qt6-declarative-dev [!i386],
                valac
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -82,13 +81,13 @@
  This package contains header files and development information, which
  is useful for building applications that need to communicate with snapd.
 
-Package: libsnapd-qt6-2-1
-Architecture: linux-any kfreebsd-any
+Package: libsnapd-qt-2-1
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Suggests: snapd
-Description: Qt snapd library (Qt6 version
+Description: Qt6 snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -98,29 +97,13 @@
  .
  snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
 
-Package: libsnapd-qt-2-1
-Architecture: linux-any kfreebsd-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: snapd
-Description: Qt snapd library (Qt5 version)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
-
-Package: qml6-module-snapd
-Architecture: linux-any kfreebsd-any
+Package: qml-module-snapd
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Suggests: snapd
 Multi-Arch: same
-Description: Snapd QML module (Qt6 version)
+Description: Snapd QML module for Qt6
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -130,32 +113,16 @@
  .
  This is a QML module for Qt6 applications to access snapd.
 
-Package: qml-module-snapd
-Architecture: linux-any kfreebsd-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Suggests: snapd
-Multi-Arch: same
-Description: Snapd QML module (Qt5 version)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- This is a QML module for Qt5 applications to access snapd.
-
-Package: libsnapd-qt6-dev
+Package: libsnapd-qt-dev
 Section: libdevel
-Architecture: linux-any kfreebsd-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-qt6-2-1 (= ${binary:Version}),
-         qt6-base-dev,
+         libsnapd-qt-2-1 (= ${binary:Version}),
+         qtbase5-dev,
 Breaks: libsnapd-glib-dev (<< 1.46)
 Replaces: libsnapd-glib-dev (<< 1.46)
-Description: Qt snapd library (Qt6 development files)
+Description: Qt6 snapd library (development files)
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
  .
@@ -164,27 +131,6 @@
  for cloud, servers, desktops and the internet of things.
  .
  snapd-qt is a wrapper library for snapd-glib for Qt6 applications.
- .
- This package contains the development files.
-
-Package: libsnapd-qt-dev
-Section: libdevel
-Architecture: linux-any kfreebsd-any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         libsnapd-qt-2-1 (= ${binary:Version}),
-         qtbase5-dev,
-Breaks: libsnapd-glib-dev (<< 1.46)
-Replaces: libsnapd-glib-dev (<< 1.46)
-Description: Qt snapd library (Qt5 development files)
- snapd-glib is a library to allow GLib based applications access to snapd,
- the daemon that controls Snaps.
- .
- Snaps are 'universal' packages that work across many different Linux
- systems, enabling secure distribution of the latest apps and utilities
- for cloud, servers, desktops and the internet of things.
- .
- snapd-qt is a wrapper library for snapd-glib for Qt5 applications.
  .
  This package contains the development files.
