=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# do not build withe Qt6 on i386 in Ubuntu
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
        meson_opts += -Dqt6=false -Dqml-bindings=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(meson_opts)

override_dh_auto_test:
	dh_auto_test --no-parallel

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
