=== debian/watch ===
version=4
https://github.com/snapcore/snapd-glib/tags .*/([0-9.]+)\.tar\.gz
